JFtp (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp
Class JFtp

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      net.sf.jftp.JFtp

All Implemented Interfaces:
  java.awt.event.ComponentListener, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.ChangeListener, javax.swing.event.InternalFrameListener, Logger

    public class JFtp

extends javax.swing.JPanel
implements java.awt.event.WindowListener, java.awt.event.ComponentListener, Logger, javax.swing.event.ChangeListener, javax.swing.event.InternalFrameListener

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `acceptableActions`
`static int` | `CAPACITY`
`static int` | `CONNECTION_DATA_LENGTH`
`static javax.swing.JDesktopPane` | `desktop`
`static DownloadList` | `dList`
`static boolean` | `doScroll`
`static DownloadQueue` | `dQueue`
`static java.awt.dnd.DropTarget` | `dropTarget`
`static java.awt.dnd.DropTargetListener` | `dtListener`
`RSSFeeder` | `feeder`
`HostChooser` | `hc`
`static HostInfo` | `hostinfo`
`javax.swing.JTabbedPane` | `localConnectionPanel`
`static Dir` | `localDir`
`static javax.swing.JTextArea` | `log`
`static javax.swing.JFrame` | `mainFrame`
`static boolean` | `mainUsed`
`static AppMenuBar` | `menuBar`
`javax.swing.JTabbedPane` | `remoteConnectionPanel`
`static Dir` | `remoteDir`
`static javax.swing.JLabel` | `statusL`
`static StatusPanel` | `statusP`
`static boolean` | `uiBlocked`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JFtp()`
`JFtp(boolean mainUsed)`

Method Summary
`void` | `addBackgroundImage()`
`void` | `addConnection(java.lang.String name, BasicConnection con)`
`void` | `addLocalConnection(java.lang.String name, BasicConnection con)`
`void` | `addRSS()`
`void` | `addToDesktop(java.lang.String title, java.awt.Component c, int w, int h)`
`protected void` | `chooseHost()`
`static void` | `clearLog()`
`void` | `closeCurrentLocalTab()`
`void` | `closeCurrentTab()`
`void` | `componentHidden(java.awt.event.ComponentEvent e)`
`void` | `componentMoved(java.awt.event.ComponentEvent e)`
`void` | `componentResized(java.awt.event.ComponentEvent e)`
`void` | `componentShown(java.awt.event.ComponentEvent e)`
`void` | `debug(java.lang.String msg)`
`void` | `debug(java.lang.String msg, java.lang.Throwable throwable)`
`void` | `debugRaw(java.lang.String msg)`
`void` | `debugSize(int size, boolean recv, boolean last, java.lang.String file)`
`void` | `drop()`
`void` | `ensureLogging()`
`void` | `error(java.lang.String msg)`
`void` | `error(java.lang.String msg, java.lang.Throwable throwable)`
`void` | `fatal(java.lang.String msg)`
`void` | `fatal(java.lang.String msg, java.lang.Throwable throwable)`
`void` | `fireUpdate()`
`static ConnectionHandler` | `getConnectionHandler()`
`static java.lang.String` | `getHost()`
`static java.lang.String` | `getVersion()`
`void` | `handleDrop(java.awt.dnd.DropTargetDropEvent e, java.awt.datatransfer.Transferable t)`
`void` | `info(java.lang.String msg)`
`void` | `info(java.lang.String msg, java.lang.Throwable throwable)`
`void` | `init()`
`void` | `internalFrameActivated(javax.swing.event.InternalFrameEvent e)`
`void` | `internalFrameClosed(javax.swing.event.InternalFrameEvent e)`
`void` | `internalFrameClosing(javax.swing.event.InternalFrameEvent e)`
`void` | `internalFrameDeactivated(javax.swing.event.InternalFrameEvent e)`
`void` | `internalFrameDeiconified(javax.swing.event.InternalFrameEvent e)`
`void` | `internalFrameIconified(javax.swing.event.InternalFrameEvent e)`
`void` | `internalFrameOpened(javax.swing.event.InternalFrameEvent e)`
`static void` | `localUpdate()`
`static void` | `main(java.lang.String[] argv)`
`static void` | `remoteUpdate()`
`void` | `removeFromDesktop(int component)`
`static void` | `safeDisconnect()`
`static void` | `setAppCursor(java.awt.Cursor cursor)`
`void` | `setClosable(int component, boolean ok)`
`static void` | `setHost(java.lang.String which)`
`void` | `setLocation(int component, int x, int y)`
`void` | `setLookAndFeel(java.lang.String name)`
`void` | `stateChanged(javax.swing.event.ChangeEvent e)`
`static void` | `updateMenuBar()`
`void` | `warn(java.lang.String msg)`
`void` | `warn(java.lang.String msg, java.lang.Throwable throwable)`
`void` | `windowActivated(java.awt.event.WindowEvent e)`
`void` | `windowClosed(java.awt.event.WindowEvent e)`
`void` | `windowClosing(java.awt.event.WindowEvent e)`
`void` | `windowDeactivated(java.awt.event.WindowEvent e)`
`void` | `windowDeiconified(java.awt.event.WindowEvent e)`
`void` | `windowIconified(java.awt.event.WindowEvent e)`
`void` | `windowOpened(java.awt.event.WindowEvent e)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mainUsed

    public static boolean mainUsed

### statusP

    public static StatusPanel statusP

### statusL

    public static javax.swing.JLabel statusL

### mainFrame

    public static javax.swing.JFrame mainFrame

### localDir

    public static Dir localDir

### remoteDir

    public static Dir remoteDir

### dList

    public static DownloadList dList

### dQueue

    public static DownloadQueue dQueue

### uiBlocked

    public static boolean uiBlocked

### hostinfo

    public static HostInfo hostinfo

### desktop

    public static javax.swing.JDesktopPane desktop

### log

    public static javax.swing.JTextArea log

### doScroll

    public static boolean doScroll

### menuBar

    public static AppMenuBar menuBar

### CAPACITY

    public static final int CAPACITY

See Also:
  Constant Field Values

### CONNECTION_DATA_LENGTH

    public static final int CONNECTION_DATA_LENGTH

See Also:
  Constant Field Values

### dropTarget

    public static java.awt.dnd.DropTarget dropTarget

### dtListener

    public static java.awt.dnd.DropTargetListener dtListener

### acceptableActions

    public static int acceptableActions

### remoteConnectionPanel

    public javax.swing.JTabbedPane remoteConnectionPanel

### localConnectionPanel

    public javax.swing.JTabbedPane localConnectionPanel

### hc

    public HostChooser hc

### feeder

    public RSSFeeder feeder

Constructor Detail

### JFtp

    public JFtp()

### JFtp

    public JFtp(boolean mainUsed)

Method Detail

### init

    public void init()

### addRSS

    public void addRSS()

### chooseHost

    protected void chooseHost()

### getHost

    public static java.lang.String getHost()

### setHost

    public static void setHost(java.lang.String which)

### localUpdate

    public static void localUpdate()

### remoteUpdate

    public static void remoteUpdate()

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### safeDisconnect

    public static void safeDisconnect()

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent e)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent e)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent e)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

### componentHidden

    public void componentHidden(java.awt.event.ComponentEvent e)

  Specified by:
    `componentHidden` in interface `java.awt.event.ComponentListener`

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Specified by:
    `componentMoved` in interface `java.awt.event.ComponentListener`

### componentShown

    public void componentShown(java.awt.event.ComponentEvent e)

  Specified by:
    `componentShown` in interface `java.awt.event.ComponentListener`

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`

### addBackgroundImage

    public void addBackgroundImage()

### main

    public static void main(java.lang.String[] argv)

### clearLog

    public static void clearLog()

### debug

    public void debug(java.lang.String msg)

  Specified by:
    `debug` in interface `Logger`

### debugRaw

    public void debugRaw(java.lang.String msg)

  Specified by:
    `debugRaw` in interface `Logger`

### debug

    public void debug(java.lang.String msg,
                      java.lang.Throwable throwable)

  Specified by:
    `debug` in interface `Logger`

### warn

    public void warn(java.lang.String msg)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.String msg,
                     java.lang.Throwable throwable)

  Specified by:
    `warn` in interface `Logger`

### error

    public void error(java.lang.String msg)

  Specified by:
    `error` in interface `Logger`

### error

    public void error(java.lang.String msg,
                      java.lang.Throwable throwable)

  Specified by:
    `error` in interface `Logger`

### info

    public void info(java.lang.String msg)

  Specified by:
    `info` in interface `Logger`

### info

    public void info(java.lang.String msg,
                     java.lang.Throwable throwable)

  Specified by:
    `info` in interface `Logger`

### fatal

    public void fatal(java.lang.String msg)

  Specified by:
    `fatal` in interface `Logger`

### fatal

    public void fatal(java.lang.String msg,
                      java.lang.Throwable throwable)

  Specified by:
    `fatal` in interface `Logger`

### debugSize

    public void debugSize(int size,
                          boolean recv,
                          boolean last,
                          java.lang.String file)

### getVersion

    public static java.lang.String getVersion()

### getConnectionHandler

    public static ConnectionHandler getConnectionHandler()

### fireUpdate

    public void fireUpdate()

### ensureLogging

    public void ensureLogging()

### setLookAndFeel

    public void setLookAndFeel(java.lang.String name)

### addConnection

    public void addConnection(java.lang.String name,
                              BasicConnection con)

### addLocalConnection

    public void addLocalConnection(java.lang.String name,
                                   BasicConnection con)

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`

### closeCurrentTab

    public void closeCurrentTab()

### closeCurrentLocalTab

    public void closeCurrentLocalTab()

### addToDesktop

    public void addToDesktop(java.lang.String title,
                             java.awt.Component c,
                             int w,
                             int h)

### removeFromDesktop

    public void removeFromDesktop(int component)

### setAppCursor

    public static void setAppCursor(java.awt.Cursor cursor)

### setClosable

    public void setClosable(int component,
                            boolean ok)

### setLocation

    public void setLocation(int component,
                            int x,
                            int y)

### updateMenuBar

    public static void updateMenuBar()

### internalFrameClosing

    public void internalFrameClosing(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameClosing` in interface `javax.swing.event.InternalFrameListener`

### internalFrameActivated

    public void internalFrameActivated(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameActivated` in interface `javax.swing.event.InternalFrameListener`

### internalFrameClosed

    public void internalFrameClosed(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameClosed` in interface `javax.swing.event.InternalFrameListener`

### internalFrameDeactivated

    public void internalFrameDeactivated(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameDeactivated` in interface `javax.swing.event.InternalFrameListener`

### internalFrameDeiconified

    public void internalFrameDeiconified(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameDeiconified` in interface `javax.swing.event.InternalFrameListener`

### internalFrameIconified

    public void internalFrameIconified(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameIconified` in interface `javax.swing.event.InternalFrameListener`

### internalFrameOpened

    public void internalFrameOpened(javax.swing.event.InternalFrameEvent e)

  Specified by:
    `internalFrameOpened` in interface `javax.swing.event.InternalFrameListener`

### drop

    public void drop()

### handleDrop

    public void handleDrop(java.awt.dnd.DropTargetDropEvent e,
                           java.awt.datatransfer.Transferable t)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD